"use client";
import React, { useState, useEffect } from "react";
import BlogContainer from "./container";
import Loading from "./loading";
import styles from "./page.module.css";

const Home = () => {
  const [loading, setLoading] = useState(true);
  const [blogs, setBlogs] = useState([]);

  useEffect(() => {
    const fetchData = async () => {
      try {
        const response = await fetch(`http://localhost:3000/api/posts`);
        const fetchedBlogs = await response.json();
        setBlogs(fetchedBlogs);
        setLoading(false);
      } catch (error) {
        console.error("Error fetching blogs:", error);
      }
    };

    fetchData();
  }, []);

  return (
    <div className={styles.container}>
      {loading ? <Loading /> : <BlogContainer blogs={blogs} />}
    </div>
  );
};

export default Home;
